Debian Bug report logs - #391234
python2.3: FTBFS : mv: cannot overwrite directory `debian/tmp/usr/share/man/man1'

version graph

Package: python2.3; Maintainer for python2.3 is (unknown);

Reported by: Pierre Machard <pmachard@debian.org>

Date: Thu, 5 Oct 2006 16:33:06 UTC

Severity: serious

Tags: patch

Found in version python2.3/2.3.5-15

Fixed in version python2.3/2.3.5-16

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#391234; Package python2.3. Full text and rfc822 format available.

Acknowledgement sent to Pierre Machard <pmachard@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Machard <pmachard@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python2.3: FTBFS : mv: cannot overwrite directory `debian/tmp/usr/share/man/man1'
Date: Thu, 5 Oct 2006 18:11:52 +0200
Package: python2.3
Version: 2.3.5-15
Severity: serious


Hi,

python2.3 fails to build from sources on pbuilder

[...]

mkdir debian/tmp/usr/lib/python2.3/test
cp -p Lib/test/{{regrtest,test_support,__init__,pystone}.py,README} \
        debian/tmp/usr/lib/python2.3/test/.
: # move manpages to new names
if [ -d debian/tmp/usr/man/man1 ]; then \
    mkdir -p debian/tmp/usr/share/man/man1; \
    mv debian/tmp/usr/man/man1 debian/tmp/usr/share/man/; \
fi
mv: cannot overwrite directory `debian/tmp/usr/share/man/man1'
make: *** [stamp-install] Error 1
pbuilder: Failed autobuilding of package



Can you please fix this issue,

thanks,
-- 
Pierre Machard



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#391234; Package python2.3. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #10 received at 391234@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: 391234@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch
Date: Sat, 7 Oct 2006 18:26:08 +0200
[Message part 1 (text/plain, inline)]
tags 391234 +patch
thanks

Hi, here a patch for this FTBFS.

Regards

-- 
  .''`.     Mario Iseli <admin@marioiseli.com>
 : :'  :    proud user of Debian unstable
 `. `'`
   `-  Debian - when you have better things to do than fixing a system
[python2.3.diff (text/plain, attachment)]

Tags added: patch Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre Machard <pmachard@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 391234-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 391234-close@bugs.debian.org
Subject: Bug#391234: fixed in python2.3 2.3.5-16
Date: Wed, 18 Oct 2006 16:47:33 -0700
Source: python2.3
Source-Version: 2.3.5-16

We believe that the bug you reported is fixed in the latest version of
python2.3, which is due to be installed in the Debian FTP archive:

idle-python2.3_2.3.5-16_all.deb
  to pool/main/p/python2.3/idle-python2.3_2.3.5-16_all.deb
python2.3-dbg_2.3.5-16_i386.deb
  to pool/main/p/python2.3/python2.3-dbg_2.3.5-16_i386.deb
python2.3-dev_2.3.5-16_i386.deb
  to pool/main/p/python2.3/python2.3-dev_2.3.5-16_i386.deb
python2.3-examples_2.3.5-16_all.deb
  to pool/main/p/python2.3/python2.3-examples_2.3.5-16_all.deb
python2.3-mpz_2.3.5-16_i386.deb
  to pool/main/p/python2.3/python2.3-mpz_2.3.5-16_i386.deb
python2.3_2.3.5-16.diff.gz
  to pool/main/p/python2.3/python2.3_2.3.5-16.diff.gz
python2.3_2.3.5-16.dsc
  to pool/main/p/python2.3/python2.3_2.3.5-16.dsc
python2.3_2.3.5-16_i386.deb
  to pool/main/p/python2.3/python2.3_2.3.5-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Oct 2006 22:36:47 +0200
Source: python2.3
Binary: python2.3 idle-python2.3 python2.3-dev python2.3-dbg python2.3-examples python2.3-mpz
Architecture: source i386 all
Version: 2.3.5-16
Distribution: unstable
Urgency: medium
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.3 - An IDE for Python (v2.3) using Tkinter
 python2.3  - An interactive high-level object-oriented language (version 2.3)
 python2.3-dbg - Debug Build of the Python Interpreter (version 2.3)
 python2.3-dev - Header files and a static library for Python (v2.3)
 python2.3-examples - Examples for the Python language (v2.3)
 python2.3-mpz - Multiple-precision arithmetic support for Python (v2.3)
Closes: 391234 393053
Changes: 
 python2.3 (2.3.5-16) unstable; urgency=medium
 .
   * SECURITY UPDATE: crafted wide unicode strings can overflow heap leading
     to arbitrary code execution. Closes: #393053.
   * Add 'debian/patches/unicode-repr.dpatch' to fix overflow.
   * References
     CVE-2006-4980
     http://svn.python.org/view?view=rev&rev=51466
   * Fix build error, installing man pages. Closes: #391234.
Files: 
 1f12bf0dc3a1da83dc6c7364122a9cce 1055 python optional python2.3_2.3.5-16.dsc
 f5d86b0505eea6f636bba49eb3094dab 207649 python optional python2.3_2.3.5-16.diff.gz
 6d5b555902df25ba4e9b9cb74107b7cd 514350 python optional python2.3-examples_2.3.5-16_all.deb
 1e5f4f880002482d0b00ad7d2f3b33b1 55180 python optional idle-python2.3_2.3.5-16_all.deb
 3cc4fe3f2e75ffc70f38b0c9f863677c 3101884 python standard python2.3_2.3.5-16_i386.deb
 cc8ee22255fa6ddb96e4dcc9d641089f 31642 python optional python2.3-mpz_2.3.5-16_i386.deb
 15e62ea866b212bed5530ac26198a9ff 1421114 libdevel optional python2.3-dev_2.3.5-16_i386.deb
 a88a3327d24d113dee8d0ce200740e35 4527904 python extra python2.3-dbg_2.3.5-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNrt/StlRaw+TLJwRAqLdAJ9/TcKO7bEU6tGRZDJj2aQGDFDcAwCgtcMV
Syv29G1E9k+oKjNipmc/v+E=
=pt65
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 00:17:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:20:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.